<template>
  <!-- 污染物消减量 -->
  <div class="panel">
    <div class="panel-header">近一年充值金额</div>
    <div>
      <line-chart :chart-data="chartData" :width="'100%'" :height="'22vh'"></line-chart>
    </div>
  </div>
</template>
<script>
import lineChart from '@/components/echarts/lineChart'
import { getEchartData } from '@/api/largeScreen'
export default {
  components: {
    // mainEcharts,
    lineChart,
  },
  data() {
    return {
      datetiems: [],
      chartData: {
        chartType:'portrait',
        time: [],
        // time: ['2024-05','2024-04','2024-03','2024-02','2024-01','2023-12'],
        Data: [
          {
            data: ['20','40','50','40','60','79','30','38','46','99','88','99'],
            // data: [],
            type: 'bar',
            // name: 'BOD',
            connectNulls: true,
            smooth: true,
            areaStyle: {}
          }
        ],
        config: {
          // name: ['BOD', 'TP', 'TN', 'NH3-N'],
          color: ['#5470c6'],
          textStyleColor: '#fff',
          XlineColor: '#022C5A',
          YlineColor: '#022C5A',
          xRotate: 30
        }
      }
    }
  },
  mounted() {
    this.getEchartData()
    this.chartData.time = this.getlastYearMonth().reverse()
  },
  methods: {
    getEchartData() {
      getEchartData({orgTag: 'dy'}).then((res) => {
        if (res.succ == 1) {
          res.amounts.forEach(ele=>{
            this.chartData.time.push(ele.yyyyMm)
            this.chartData.Data[0].data.push(ele.amount)
          })
        } else {
          this.$message({
            type: 'error',
            message: res.message
          })
        }
      })
    },
  getlastYearMonth() {
    // 1、封装方法
    var result = [];
    for (var i = 0; i < 12; i++) {
        var d = new Date();
        d.setDate(1);
        d.setMonth(d.getMonth() - i-1); // 获取上个月往前12个月，所以-1
        var m = d.getMonth() + 1;
        m = m < 10 ? "0" + m : m; //在这里可以自定义输出的日期格式
        result.push(d.getFullYear() + "-" + m); //result.push(d.getFullYear() + "年" + m + '月');
    }
    return result; // return 创建好的日期数组
    }
  }
}
</script>

<style lang="scss" scoped>
// 标题
.info-title {
  height: 4.4vh;
  background: url('../../../image/screen/bg_title.png') no-repeat;
  display: flex;
  align-items: center;
  color: #fff;
  font-family: 'screen-font';
  margin-bottom: 2%;
  .info-title-text {
    padding-left: 2vw;
    font-size: 1rem;
  }
}
</style>
